/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
import {
  ProofMetricsData,
  ProofMetricsDataFromJSON,
  ProofMetricsDataFromJSONTyped,
  ProofMetricsDataToJSON,
} from './ProofMetricsData';

/**
 *
 * @export
 * @interface ProofMetricsDto
 */
export interface ProofMetricsDto {
  /**
   *
   * @type {ProofMetricsData}
   * @memberof ProofMetricsDto
   */
  last24Hours: ProofMetricsData;
  /**
   *
   * @type {ProofMetricsData}
   * @memberof ProofMetricsDto
   */
  mtd: ProofMetricsData;
  /**
   *
   * @type {ProofMetricsData}
   * @memberof ProofMetricsDto
   */
  ytd: ProofMetricsData;
  /**
   *
   * @type {ProofMetricsData}
   * @memberof ProofMetricsDto
   */
  all: ProofMetricsData;
}

export function ProofMetricsDtoFromJSON(json: any): ProofMetricsDto {
  return ProofMetricsDtoFromJSONTyped(json, false);
}

export function ProofMetricsDtoFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): ProofMetricsDto {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    last24Hours: ProofMetricsDataFromJSON(json['last24Hours']),
    mtd: ProofMetricsDataFromJSON(json['mtd']),
    ytd: ProofMetricsDataFromJSON(json['ytd']),
    all: ProofMetricsDataFromJSON(json['all']),
  };
}

export function ProofMetricsDtoToJSON(value?: ProofMetricsDto | null): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    last24Hours: ProofMetricsDataToJSON(value.last24Hours),
    mtd: ProofMetricsDataToJSON(value.mtd),
    ytd: ProofMetricsDataToJSON(value.ytd),
    all: ProofMetricsDataToJSON(value.all),
  };
}
